Aden

Contacts

Contact management

GET
/api/v1/contacts/together

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Query Parameters

contactId?string
userId?string
Lengthlength <= 64
email?string
Lengthlength <= 320
curl -X GET "https://example.com/api/v1/contacts/together"
GET
/api/v1/contacts/

Authorization

AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/contacts/?teamId=string"
POST
/api/v1/contacts/

Authorization

AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/contacts/" \  -H "Content-Type: application/json" \  -d '{    "team_id": 0  }'
GET
/api/v1/contacts/resolve

Authorization

AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Query Parameters

teamId*string
network?string
handle?string
email?string
phone?string
curl -X GET "https://example.com/api/v1/contacts/resolve?teamId=string"
GET
/api/v1/contacts/lead-status

Authorization

AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Query Parameters

teamId*string
contactId*string
curl -X GET "https://example.com/api/v1/contacts/lead-status?teamId=string&contactId=string"
GET
/api/v1/contacts/groups

Authorization

AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/contacts/groups?teamId=string"
POST
/api/v1/contacts/groups

Authorization

AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/contacts/groups" \  -H "Content-Type: application/json" \  -d '{    "teamId": 0,    "name": "string"  }'
GET
/api/v1/contacts/{id}

Authorization

AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/contacts/string"
PATCH
/api/v1/contacts/{id}

Authorization

AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X PATCH "https://example.com/api/v1/contacts/string" \  -H "Content-Type: application/json" \  -d '{}'
DELETE
/api/v1/contacts/{id}

Authorization

AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X DELETE "https://example.com/api/v1/contacts/string"
GET
/api/v1/contacts/{id}/timeline

Authorization

AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/contacts/string/timeline"
POST
/api/v1/contacts/platform-users

Authorization

AuthorizationBearer <token>

Supabase access token: used by the web and mobile apps

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/contacts/platform-users" \  -H "Content-Type: application/json" \  -d '{    "team_id": 0,    "emails": [      "string"    ]  }'
Was this helpful?